<script setup lang="ts">
import { type Product } from '@/types/Product'
const props = defineProps<{
  product: Product
}>()
const emit = defineEmits<{
  selectedProduct: [Product]
}>()

const selected = function () {
  emit('selectedProduct', props.product)
}
</script>
<template>
  <v-sheet width="175" height="175" elevation="3" @click="selected" color="white">
    <v-img :src="`./img/coffees/Product${product.id}.jpg`" height="125" cover></v-img>
    <div style="text-align: center">{{ product.name }}</div>
    <div style="text-align: center">{{ product.price }} Baht</div>
  </v-sheet>
</template>
